services:
    rg8cwgco44o440cgosg8wocg-072921544144:
        image: 'nginx:latest'
        container_name: rg8cwgco44o440cgosg8wocg-072921544144
        restart: unless-stopped
        expose:
            - '80'
        networks:
            coolify:
                aliases:
                    - rg8cwgco44o440cgosg8wocg-072921544144
        mem_limit: '0'
        memswap_limit: '0'
        mem_swappiness: 60
        mem_reservation: '0'
        cpus: 0.0
        cpu_shares: 1024
        env_file:
            - .env
        labels:
            - traefik.enable=true
            - traefik.http.middlewares.gzip.compress=true
            - traefik.http.middlewares.http-2-rg8cwgco44o440cgosg8wocg-stripprefix.stripprefix.prefixes=
            - traefik.http.middlewares.redirect-to-https.redirectscheme.scheme=https
            - traefik.http.routers.http-0-rg8cwgco44o440cgosg8wocg.entryPoints=http
            - traefik.http.routers.http-0-rg8cwgco44o440cgosg8wocg.middlewares=redirect-to-https
            - 'traefik.http.routers.http-0-rg8cwgco44o440cgosg8wocg.rule=Host(`rg8cwgco44o440cgosg8wocg.labs.notnot.io`) && PathPrefix(`/`)'
            - traefik.http.routers.http-0-rg8cwgco44o440cgosg8wocg.service=http-0-rg8cwgco44o440cgosg8wocg
            - traefik.http.routers.http-1-rg8cwgco44o440cgosg8wocg.entryPoints=http
            - traefik.http.routers.http-1-rg8cwgco44o440cgosg8wocg.middlewares=redirect-to-https
            - 'traefik.http.routers.http-1-rg8cwgco44o440cgosg8wocg.rule=Host(`legacy-node.labs.notnot.io`) && PathPrefix(`/`)'
            - traefik.http.routers.http-1-rg8cwgco44o440cgosg8wocg.service=http-1-rg8cwgco44o440cgosg8wocg
            - traefik.http.routers.http-2-rg8cwgco44o440cgosg8wocg.entryPoints=http
            - 'traefik.http.routers.http-2-rg8cwgco44o440cgosg8wocg.middlewares=http-2-rg8cwgco44o440cgosg8wocg-stripprefix,gzip'
            - 'traefik.http.routers.http-2-rg8cwgco44o440cgosg8wocg.rule=Host(``) && PathPrefix(``)'
            - traefik.http.routers.http-2-rg8cwgco44o440cgosg8wocg.service=http-2-rg8cwgco44o440cgosg8wocg
            - traefik.http.routers.https-0-rg8cwgco44o440cgosg8wocg.entryPoints=https
            - traefik.http.routers.https-0-rg8cwgco44o440cgosg8wocg.middlewares=gzip
            - 'traefik.http.routers.https-0-rg8cwgco44o440cgosg8wocg.rule=Host(`rg8cwgco44o440cgosg8wocg.labs.notnot.io`) && PathPrefix(`/`)'
            - traefik.http.routers.https-0-rg8cwgco44o440cgosg8wocg.service=https-0-rg8cwgco44o440cgosg8wocg
            - traefik.http.routers.https-0-rg8cwgco44o440cgosg8wocg.tls.certresolver=letsencrypt
            - traefik.http.routers.https-0-rg8cwgco44o440cgosg8wocg.tls=true
            - traefik.http.routers.https-1-rg8cwgco44o440cgosg8wocg.entryPoints=https
            - traefik.http.routers.https-1-rg8cwgco44o440cgosg8wocg.middlewares=gzip
            - 'traefik.http.routers.https-1-rg8cwgco44o440cgosg8wocg.rule=Host(`legacy-node.labs.notnot.io`) && PathPrefix(`/`)'
            - traefik.http.routers.https-1-rg8cwgco44o440cgosg8wocg.service=https-1-rg8cwgco44o440cgosg8wocg
            - traefik.http.routers.https-1-rg8cwgco44o440cgosg8wocg.tls.certresolver=letsencrypt
            - traefik.http.routers.https-1-rg8cwgco44o440cgosg8wocg.tls=true
            - traefik.http.services.http-0-rg8cwgco44o440cgosg8wocg.loadbalancer.server.port=80
            - traefik.http.services.http-1-rg8cwgco44o440cgosg8wocg.loadbalancer.server.port=80
            - traefik.http.services.http-2-rg8cwgco44o440cgosg8wocg.loadbalancer.server.port=80
            - traefik.http.services.https-0-rg8cwgco44o440cgosg8wocg.loadbalancer.server.port=80
            - traefik.http.services.https-1-rg8cwgco44o440cgosg8wocg.loadbalancer.server.port=80
            - 'caddy_0.encode=zstd gzip'
            - 'caddy_0.handle_path.0_reverse_proxy={{upstreams 80}}'
            - 'caddy_0.handle_path=/*'
            - caddy_0.header=-Server
            - 'caddy_0.try_files={path} /index.html /index.php'
            - 'caddy_0=https://rg8cwgco44o440cgosg8wocg.labs.notnot.io'
            - 'caddy_1.encode=zstd gzip'
            - 'caddy_1.handle_path.1_reverse_proxy={{upstreams 80}}'
            - 'caddy_1.handle_path=/*'
            - caddy_1.header=-Server
            - 'caddy_1.try_files={path} /index.html /index.php'
            - 'caddy_1=https://legacy-node.labs.notnot.io'
            - 'caddy_2.encode=zstd gzip'
            - 'caddy_2.handle_path.2_reverse_proxy={{upstreams 80}}'
            - 'caddy_2.handle_path=*'
            - caddy_2.header=-Server
            - 'caddy_2.try_files={path} /index.html /index.php'
            - 'caddy_2=://'
            - caddy_ingress_network=coolify
            - coolify.managed=true
            - coolify.version=4.0.0-beta.434
            - coolify.applicationId=15
            - coolify.type=application
            - coolify.name=rg8cwgco44o440cgosg8wocg
            - coolify.resourceName=docker-image-rg8cwgco44o440cgosg8wocg
            - coolify.projectName=not-not-web-20
            - coolify.serviceName=docker-image-rg8cwgco44o440cgosg8wocg
            - coolify.environmentName=production
            - coolify.pullRequestId=0
        volumes:
            - '/data/coolify/applications/rg8cwgco44o440cgosg8wocg:/usr/share/nginx/html'
networks:
    coolify:
        external: true
        name: coolify
        attachable: true
